Minimum System Requirements for FINRA E-Learning Courses

Below are the minimum system requirements to access a FINRA e-learning course or scenario. If you have additional questions or require technical support, please call (800) 321-6273 or send us an email.
 

  • One of these web browsers:
    • Microsoft Internet Explorer 7
    • Firefox 3.6
    • Chrome 4
    • Safari 4
  • Disable your browser’s pop-up blocker, or add the LMS to your browser’s allowed pop-up sites.